function newsList(){
    if(!checkNowPage("newslist",true)){
        return;
    }
    if($("#newspage").children().length==0) {
        $("#newspage").load("news.html #news", function (data) {
            if ($("#xvmnews").text().length > 0) {
                $.get("http://ccq.178.com/s/js/wows.js",function(data,status){

                });
                $.get("http://xvm.garphy.com/?json=get_recent_posts&count=5&include=title,url,date", function (data, status) {
                    if (checkNowPage("newslist", false)) {
                        return;
                    }
                    try {
                        var list = data;
                        for (var i in list.posts) {
                            var top = false;
                            var post = list.posts[i];
                            var ii = Number(i) + 1;
                            if (ii < list.posts.length && post.id < list.posts[ii].id) {
                                top = true;
                            }
                            last = post.id;
                            var nd = post.date.replace(/-/ig, '/');
                            var date = new Date(nd);
                            $("#xvmnews .panel-body").append("<div class='col-xs-offset-1 col-xs-7'><a target='_blank' href='" + post.url + "'>" + (top ? "<i class='fa fa-star fa-fw' style='color:red;'></i>" : "") + post.title + "</a></div><div class='col-xs-offset-1 col-xs-3'>[" + date2str(date, "yyyy-MM-dd") + "]</div>");
                        }
                    } catch (e) {
                        console.error("Parsing error:", e);
                        customAlert("XVM新闻无法解析", "danger");
                    }
                });
            }

            if ($("#wotnews").text().length > 0) {
                $.get("http://wot.kongzhong.com/erji/launcher/launcher.xml", function (data) {
                    if (checkNowPage("newslist", false)) {
                        return;
                    }
                    $(data).find('channel').find('item').each(function (index, ele) {
                        var titles = $(ele).find('title').text();
                        var links = $(ele).find('link').text();
                        var pubDate = $(ele).find('pubDate').text();
                        var date = new Date(pubDate);
                        $("#wotnews .panel-body").append("<div class='row'><div class='col-xs-offset-1 col-xs-7'><a target='_blank' href='" + links + "'>" + titles + "</a></div><div class='col-xs-offset-1 col-xs-3'>[" + date2str(date, "yyyy-MM-dd") + "]</div></div>");
                    })
                });
            }
            if ($("#tools").text().length > 0) {
                $.get("http://rank.kongzhong.com/ModDownload/action/NewsAction/getNews", function (data, status) {
                    if (checkNowPage("newslist", false)) {
                        return;
                    }
                    try {
                        var newsjson = JSON.parse(data.toString());
                        for (var i in newsjson.newslist) {
                            var news = newsjson.newslist[i];
                            if (news.name == "") {
                                continue;
                            }
                            var tr = "<div class='col-xs-offset-1 col-xs-7'><a target='_blank' href='"
                                + news.url + "'>"
                                + news.name + "</div>";
                            if (news.type == 0) {
                                $("#giftnews .panel-body").append(tr);
                            } else if (news.type == 1) {
                                $("#tools .panel-body").append(tr);
                            } else if (news.type == 2) {
                                $("#versionnews .panel-body").append(tr);
                            } else if (news.type == 3) {
                                $("#basenews .panel-body").append(tr);
                            }
                        }
                    } catch (e) {
                        console.log(e);
                    }
                });
            }
        });
    }
}